%define module_name ltmodem
%define module_version 8.26a9
%define module_release alt4
%define module_source_dir %module_name-%module_version

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: Distributable
Group: Development/Kernel
Source0: http://www.physcip.uni-stuttgart.de/heby/ltmodem/%module_name-%module_version.tar.gz
Source1: %module_name-2.6.tar.bz2
URL: http://www.physcip.uni-stuttgart.de/heby/ltmodem/

BuildArch: noarch
BuildPreReq: kernel-build-tools

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

#### MODULE DOCUMENTATION ####
%package -n kernel-doc-%module_name
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description
%module_name modules sources for Linux kernel

%description -n kernel-doc-%module_name
%module_name modules documentation for Linux kernel

%prep
%setup -c
%setup -T -D -n %name-%version/%module_source_dir -a 1 
%__tar -xzf source.tar.gz
%__rm -f source.tar.gz

%build
%__mkdir docs
%__mv source/* .
%__mv DOCs utils 1ST-READ CHANGELOG UPDATES-BUGS docs
%__mv linuxif.h linuxif-2.4.h
%__mv ltmodem.c ltmodem-2.4.c
%__mv serial-lt-2.4.c serial-2.4.c
%__mv ltmdmobj.o ltmdmobj.o.gcc2

%install
%__mkdir_p %buildroot%_defaultdocdir
%__mv docs %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__mkdir_p %buildroot%kernel_src/kernel-source-%module_name-%module_version
%__mv linuxif-2.*.h \
      ltmodem-2.*.c \
      serial-2.*.c \
      ltmdmobj.o* \
      Makefile \
      %buildroot%kernel_src/kernel-source-%module_name-%module_version
cd %buildroot%kernel_src
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files
%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name
%doc %_defaultdocdir/%module_name-doc-%module_version

%changelog
* Thu Apr 15 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt4
- some Makefile fixes
- Sisyphus build

* Fri Jan 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 8.26a9-alt3
- changed to kbuild Makefile for 2.6

* Wed Jan 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt2
- 2.6 support
- spec fully rewritten to package only necessary files

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1
- imported to Sisyphus

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.4
- Adapting for ALT
